@import '~@angular/material/theming';
@mixin sites-switch-component-theme($themestyle){
    $primary:map-get($themestyle,primary);
    $accent:map-get($themestyle,accent);
    //put all your theming styles here
    .ss-container{
        background-color: mat-color($themestyle-primary,300);
        height: 100%;
        color: white;
       
    }

    .ss-title{
        background-color: mat-color($themestyle-primary,50);
       
    }

}


  /* /////////////////////// */
/* start of new menu styles */
/* /////////////////////// */

ul.square-menu {
    list-style-type: none;
    list-style: none;
    padding: 0;
    /* font-family: "Kavoon", Helvetica, sans-serif; */
    -webkit-font-smoothing: antialiased;
    width: 760px;
    margin: 40px auto;
  }
  
  ul.square-menu li{
  float: left;
  margin:5px;	
  min-width: 340px;
  min-height: 120px;
  max-width: 340px;
  max-height: 120px;
  background: #B42126;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  text-align: center;
  
  }
  
  ul.square-menu li:hover:not(.disabledMenu) {
  /* background: rgb(48, 48, 48); */
  -moz-transform: scale(1.2);
  -webkit-transform: scale(1.2);
  -o-transform: scale(1.2);
  transform: scale(1.2);
  -moz-box-shadow: 0px 0px 0px 5px rgba(0, 0, 0, 0.12);
  -webkit-box-shadow: 0px 0px 0px 5px rgba(0, 0, 0, 0.12);
  box-shadow: 0px 0px 0px 5px rgba(0, 0, 0, 0.12);
  cursor: pointer;
  }
  
  .slink-x,
  .slink-y{
    border-radius: 10px;
  }
  
  .MenuImg {
    max-width:70%;
  max-height:60%;
  }
  
  p{
    color: #fff;
    font-size: 18px;
  }
  
  .disabledMenu{
    background: grey !important;
    cursor: not-allowed;
  }
  
  .fa-list,
  .fa-wrench,
  .fa-cloud-download{
    font-size: 30px !important;
    color: #fff;
  }
  
  .menuBtn {
    display: flex;
    flex-direction: column;
    /* height: 100%; */
    justify-content: center;
    align-items: flex-start;
    height: 120px;
    padding: 0 30px;
  }
  
  .menuBtn i{
      min-height: 40px;
      flex: 2;
  }

  .btn-container div i{
    flex: 8;
    height: 100%;
    padding: 20px 0;
  }
  
  .btn-container div p{
    flex: 4;
    margin: 0;
    /* padding: 20px 0; */
  }
  
  .spacer{
    flex: 1;
    width: 100%;
  }
  .fa-long-arrow-right,
  .fa-arrow-right{
    flex: 1;
    color: #fff;
    /* align-self: flex-end; */
    float: right;
    font-size: 25px;
    padding-bottom: 10px;
  }
  
  .menuTextContainer{
    display: flex;
    flex: 2;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    margin: 0;
  }
  
  
  
  
  
  
  
  
  @media screen and (max-width: 800px){
    ul.square-menu {
      width: 570px;
      margin: 30px auto;
    }
    
    ul.square-menu li{
    /* float: left; */
    /* margin:5px;	 */
    min-width: 255px;
    min-height: 120px;
    max-width: 255px;
    max-height: 120px;
    /* display: flex;
    flex-direction: column;
    text-align: center; */
    }
  }
  
  @media screen and (max-width: 580px){
    p{
      font-size: 15px;
    }
  
    ul.square-menu {
      display: flex;
      flex-direction: column;
      }
  }
  
  /* /////////////////////// */
  /* end of new menu styles */
  /* /////////////////////// */
  